# - Config file for Dyninst and its component libraries
# It defines the following variables:
#
# DYNINST_INCLUDE_DIRS
# DYNINST_LIBRARIES
# DYNINST_INTERNAL_DEFINES - used by the test suite

# compute paths

get_filename_component(DYNINST_CMAKE_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)
set (DYNINST_INCLUDE_DIR ${DYNINST_CMAKE_DIR}/../../../include/dyninst)

# Library dependencies
#include ("${DYNINST_CMAKE_DIR}/DyninstTargets.cmake")
foreach(TARG ;common;dynElf;dynDwarf;symLite;instructionAPI;symtabAPI;parseAPI;pcontrol;stackwalk;patchAPI;dyninstAPI;dynC_API)
  include ("${DYNINST_CMAKE_DIR}/${TARG}Targets.cmake" OPTIONAL)
endforeach()

set (DYNINST_LIBRARIES "dyninstAPI")

# Other variables Dyninst mutators may depend on
set (DYNINST_PLATFORM "ppc64_linux")
set (DYNINST_INTERNAL_DEFINES -Dcap_dynamic_heap;-Dcap_liveness;-Dcap_threads;-Dcap_32_64;-Dcap_registers;-Dcap_toc_64;-Darch_ppc_little_endian;-Dcap_async_events;-Dcap_binary_rewriter;-Dcap_dwarf;-Dcap_mutatee_traps;-Dcap_ptrace;-Dcap_thread_db;-Dbug_syscall_changepc_rewind;-Dbug_force_terminate_failure;-Dbug_registers_after_exit;-Darch_power;-Darch_64bit;-Dos_linux;-Dppc64_linux)

if(DYNINST_FIND_COMPONENTS)
  foreach(COMP DYNINST_FIND_COMPONENTS)
    if(NOT TARGET ${COMP})
      set(DYNINST_${COMP}_FOUND 0)
      if(DYNINST_FIND_REQUIRED_${COMP})
	MESSAGE(ERROR "${COMP} was not part of the Dyninst build")
      endif()
    else()
      set(DYNINST_${COMP}_FOUND 1)
      MESSAGE(STATUS "Found ${COMP}")
    endif()
  endforeach()
endif()

if(TARGET dyninstAPI)
  set(Dyninst_FOUND 1)
else()
  set(Dyninst_FOUND 0)
endif()

